Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003579GameMaker: Studio[All Projects] Audiopublic2012-05-20 10:562013-03-05 16:11
ReporterSrehpog2 
Assigned ToRussell Kay 
PriorityLowSeverityWishReproducibilityN/A
StatusclosedResolutionno change required 
PlatformWin7OSWindowsOS Version7
Summary0003579: Wish: basic channel support for audio
DescriptionGMS's sound support would be vastly improved by supporting basic audio *channels* (i.e. INSTANCES of a particular sound) instead of just sound resources.

At the moment, the play/stop/pan/volume/fade functions are of limited use in any situation where more than one instance of the same sound might be playing at once - but there are a huge number of cases in neary every conceivable game type where exactly this sort of behaviour is useful, or even necessary. This is also something a lot of tools/IDEs support by default - I don't see how GMS will be able to compete without decent audio support.

There have been huge leaps in the room, graphics, object editors, yet the audio functions are still largely identical to what they were in GM4/GM5.0 - are there any plans to update this area of GM too?
GM Version
Attached Files

- Relationships

-  Notes
(0002388)
borise (reporter)
2012-05-20 17:01

FWIW I'm rather missing the D3D_audio commands though I guess they were just too platform specific.

It seems to me as if the "play sound" function should return a "handle" that could be used in place of a sound's id when applying effects.
(0002396)
Srehpog2 (reporter)
2012-05-20 21:39

Exactly - it doesn't need to be complex; the same functions could be kept, but with the option to pass a channel ID as the argument, instead of sound resource (like instance/object calls in object-related functions).
(0002401)
Syynth (reporter)
2012-05-21 00:58

As I understand it, the audio system is getting an overhaul with GM9
http://gmc.yoyogames.com/index.php?s=246f4364448207cd69d8f26b7ec0a0a8&showtopic=528970&view=findpost&p=3888934 [^]
(0002415)
Russell Kay (developer)
2012-05-21 09:28

Audio API is getting an overhaul just not just now...

- Issue History
Date Modified Username Field Change
2012-05-20 10:56 Srehpog2 New Issue
2012-05-20 17:01 borise Note Added: 0002388
2012-05-20 21:39 Srehpog2 Note Added: 0002396
2012-05-21 00:58 Syynth Note Added: 0002401
2012-05-21 09:28 Russell Kay Note Added: 0002415
2012-05-21 09:28 Russell Kay Status new => resolved
2012-05-21 09:28 Russell Kay Resolution open => no change required
2012-05-21 09:28 Russell Kay Assigned To => Russell Kay
2013-03-05 16:11 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker